package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_cus_customer
 * 
 * @author wms
 * @date 2022-06-12
 */
@TableName("t_cus_customer")
public class TCusCustomer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 客户编号 */
    @Excel(name = "客户编号")
    @TableField("CUSTOMER_ID")
    private String customerId;

    /** 客户名称 */
    @Excel(name = "客户名称")
    @TableField("CUSTOMER_NAME")
    private String customerName;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @TableField("CUSTOMER_SHORT_NAME")
    private String customerShortName;

    /** 拼音简称 */
    @Excel(name = "拼音简称")
    @TableField("PY_NAME")
    private String pyName;

    /** 客户分类编号 */
    @Excel(name = "客户分类编号")
    @TableField("CUS_TYPE_ID")
    private String cusTypeId;

    /** 联系人 */
    @Excel(name = "联系人")
    @TableField("LINKMAN")
    private String linkman;

    /** 手机号 */
    @Excel(name = "手机号")
    @TableField("TELEPHONE")
    private String telephone;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @TableField("PHONE")
    private String phone;

    /** 联系传真 */
    @Excel(name = "联系传真")
    @TableField("FAX")
    private String fax;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("SEX")
    private String sex;

    /** 联系地址 */
    @Excel(name = "联系地址")
    @TableField("EMAIL")
    private String email;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("BIRTHDAY")
    private Date birthday;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("PROVINCE")
    private String province;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("CITY")
    private String city;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("DISTIRCT")
    private String distirct;

    /** 邮编 */
    @Excel(name = "邮编")
    @TableField("POSTCODE")
    private String postcode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("ADDRESS")
    private String address;

    /** 状态 0：正常 1：停用 */
    @Excel(name = "状态 0：正常 1：停用")
    @TableField("STATUS")
    private String status;

    /** 版本号 */
    @Excel(name = "版本号")
    @TableField("VERSION")
    private String version;

    /** 操作人 */
    @Excel(name = "操作人")
    @TableField("OPERATORID")
    private String operatorid;

    /** 操作日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("OPERATEDATE")
    private Date operatedate;

    /** 省编号 */
    @Excel(name = "省编号")
    @TableField("PROVINCE_ID")
    private String provinceId;

    /** 市编号 */
    @Excel(name = "市编号")
    @TableField("CITY_ID")
    private String cityId;

    /** 县/区编号 */
    @Excel(name = "县/区编号")
    @TableField("TOWN_ID")
    private String townId;

    /** GUID */
    @Excel(name = "GUID")
    @TableField("GUID")
    private String guid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("UPDATE_DATE")
    private Date updateDate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("PORT")
    private String port;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("STS")
    private String sts;

    public void setCustomerId(String customerId) 
    {
        this.customerId = customerId;
    }

    public String getCustomerId() 
    {
        return customerId;
    }
    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }
    public void setCustomerShortName(String customerShortName) 
    {
        this.customerShortName = customerShortName;
    }

    public String getCustomerShortName() 
    {
        return customerShortName;
    }
    public void setPyName(String pyName) 
    {
        this.pyName = pyName;
    }

    public String getPyName() 
    {
        return pyName;
    }
    public void setCusTypeId(String cusTypeId) 
    {
        this.cusTypeId = cusTypeId;
    }

    public String getCusTypeId() 
    {
        return cusTypeId;
    }
    public void setLinkman(String linkman) 
    {
        this.linkman = linkman;
    }

    public String getLinkman() 
    {
        return linkman;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setFax(String fax) 
    {
        this.fax = fax;
    }

    public String getFax() 
    {
        return fax;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setDistirct(String distirct) 
    {
        this.distirct = distirct;
    }

    public String getDistirct() 
    {
        return distirct;
    }
    public void setPostcode(String postcode) 
    {
        this.postcode = postcode;
    }

    public String getPostcode() 
    {
        return postcode;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setOperatorid(String operatorid) 
    {
        this.operatorid = operatorid;
    }

    public String getOperatorid() 
    {
        return operatorid;
    }
    public void setOperatedate(Date operatedate) 
    {
        this.operatedate = operatedate;
    }

    public Date getOperatedate() 
    {
        return operatedate;
    }
    public void setProvinceId(String provinceId) 
    {
        this.provinceId = provinceId;
    }

    public String getProvinceId() 
    {
        return provinceId;
    }
    public void setCityId(String cityId) 
    {
        this.cityId = cityId;
    }

    public String getCityId() 
    {
        return cityId;
    }
    public void setTownId(String townId) 
    {
        this.townId = townId;
    }

    public String getTownId() 
    {
        return townId;
    }
    public void setGuid(String guid) 
    {
        this.guid = guid;
    }

    public String getGuid() 
    {
        return guid;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }
    public void setPort(String port) 
    {
        this.port = port;
    }

    public String getPort() 
    {
        return port;
    }
    public void setSts(String sts) 
    {
        this.sts = sts;
    }

    public String getSts() 
    {
        return sts;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("customerId", getCustomerId())
            .append("customerName", getCustomerName())
            .append("customerShortName", getCustomerShortName())
            .append("pyName", getPyName())
            .append("cusTypeId", getCusTypeId())
            .append("linkman", getLinkman())
            .append("telephone", getTelephone())
            .append("phone", getPhone())
            .append("fax", getFax())
            .append("sex", getSex())
            .append("email", getEmail())
            .append("birthday", getBirthday())
            .append("province", getProvince())
            .append("city", getCity())
            .append("distirct", getDistirct())
            .append("postcode", getPostcode())
            .append("address", getAddress())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("version", getVersion())
            .append("operatorid", getOperatorid())
            .append("operatedate", getOperatedate())
            .append("provinceId", getProvinceId())
            .append("cityId", getCityId())
            .append("townId", getTownId())
            .append("guid", getGuid())
            .append("updateDate", getUpdateDate())
            .append("updateBy", getUpdateBy())
            .append("port", getPort())
            .append("sts", getSts())
            .toString();
    }
}
